Actualités & Annonces de l'équipe de développement et des administrateurs du forum.

[Stable] Mise à jour 14/11/2019 - Kernels, Plasma, KDE Apps, KDE Frameworks, Mesa, Nvidia

#1Messageil y a 3 semaines

Bonjour à toutes et à tous :bjr:

Une mise à jour est annoncée

Bonjour la communauté,
je suis heureux d'annoncer une autre mise à jour stable .

Il nous a fallu un certain temps pour fournir cet ensemble de nouveaux paquets. La plupart de nos efforts ont portés sur la nouvelle façon dont nous générons les images initramfs du noyau. L'intention est de rendre les paquets du noyau plus autonomes, tout en rendant le processus de démarrage plus flexible, et en le maintenant compatible avec les versions antérieures. À l’heure actuelle, seul mkinitcpio dispose de déclencheurs(hooks) pour la gestion des installations et des retraits de noyaux. Nous ne le proposons pas encore pour dracut, mais il y aura des crochets similaires dans un proche avenir.

Quoi d'autre a changé?
  • les derniers noyaux corrigeant certains problèmes de sécurité sur les processeurs Intel.
  • Plasma est passé maintenant à 5.17.3, les applications sont en 19.08.3 et le cadre de KDE est à 5.64.0
  • Le navigateur Brave est maintenant mis à jour pour les séries 0.71 et 0.72
  • Les pilotes Nvidia ont été mis à jour
  • Nous avons abandonné linux52
  • Thunderbird a eu quelques corrections nécessaires avec 68.2.2
  • La mise à jour bi-hebdomadaire de Mesa 19.2.4 apporte quelques corrections et stabilisations
  • Les corrections et mises à jour habituelles en amont
N'hésitez pas à nous donner vos commentaires sur les modifications apportées aux dépôts.

Si vous avez le noyau linux52, il faut le désinstaller.

Attention si vous étiez avec un noyau 4.19 et un driver nvidia 430, vous deviez impérativement installer la version 435 ou 440 - corrigé depuis le 16/11

-------------------------------------------------------------------------------------
Mise à jour possible par pamac, octopi ou par pacman (de préférence) :

sudo pacman-mirrors -f0 && sudo pacman -Syyu
-------------------------------------------------------------------------------------


État des miroirs actuellement :


Noyaux pris en charge :
  • linux316 3.16.75
  • linux44 4.4.201
  • linux49 4.9.201
  • linux414 4.14.154
  • linux419 4.19.84
  • linux53 5.3.11 (no catalyst module!)
  • linux54 5.4.0-rc7 (not all modules build yet!) (expérimental)
  • linux419-rt 4.19.72_rt26
  • linux52-rt 5.2.21_rt13
Les changements en détail :
  • community x86_64: 776 nouveaux et 903 paquets retirés
  • core x86_64: 44 nouveaux et 46 paquets retirés
  • extra x86_64: 748 nouveaux et 832 paquets retirés
  • multilib x86_64: 41 nouveaux et 40 paquets retirés

169 paquets supprimés : énormément de python 2 et linux52

accuraterip-checksum autojump isdn4k-utils libvirt-python2 linux52-*** python2-*** python-qscintilla-qt5-common rtl-sdr-lms totem-plparser usbguard-qt 
21 nouveaux paquets :

archlinux-repro:  Tools to reproduce Arch Linux packages
calamares-oem-infbk14-kde-settings:  Manjaro OEM INFBK14-KDE-Settings
calamares-oem-infbkpro-kde-settings:  Manjaro OEM INFBKPRO-KDE-Settings
croc:  Easily and securely send things from one computer to another.
electron6:  Build cross platform desktop apps with web technologies
kanshi:  Dynamic output configuration for Wayland WMs
lablgtk3:  An Objective Caml interface to gtk3
lib3mf-1:  Implementation of the 3D Manufacturing Format file standard (legacy version)
linux49-nvidia-440xx:  NVIDIA drivers for linux.
linux54-nvidia-390xx:  NVIDIA drivers for linux.
manjaro-gdm-theme-dev:  Manjaro GDM theme
manjaro-gnome-assets-19.0:  Manjaro Gnome assets
manjaro-gnome-extension-settings-19.0:  Manjaro Linux Gnome extensions settings v19.0
manjaro-gnome-settings-19.0:  Manjaro Linux Gnome settings v19.0
manjaro-kde-tx-settings:  Manjaro-Tuxedo Kde-Plasma settings
opensmtpd-filter-rspamd:  OpenSMTPD filter integration for Rspamd
pragha:  A lightweight GTK+ music manager - fork of Consonance Music Manager.
python-pyqtchart:  Python 3 bindings for QtCharts
totem-pl-parser:  Simple GObject-based library to parse and save a host of playlist formats


-------------------------------------------------------------------------------------


-------------------------------------------------------------------------------------
ERREUR : conflit de fichiers
Si lors de la mise à jour vous avez le type d'erreur comme ci-dessous (tlp est un exemple) :

erreur : la validation de la transaction a échoué (conflit de fichiers)
tlp : /etc/acpi/thinkpad est déjà présent dans le système de fichiers
Des erreurs se sont produites, aucun paquet n’a été mis à jour.
il convient de passer la commande suivante en l'adaptant à votre cas particulier :

sudo pacman -S nom_paquet --overwrite '/etc/acpi/thinkpad'
Ensuite, vous pouvez faire votre mise à jour générale sans problème.
-------------------------------------------------------------------------------------

-------------------------------------------------------------------------------------
ERREUR de clés
Si lors de la mise à jour vous avez des problèmes de clés, essayez de passer les commandes suivantes :

sudo pacman-mirrors -g
sudo pacman -Syy
sudo pacman -S archlinux-keyring manjaro-keyring
sudo pacman-key --init
sudo pacman-key --populate archlinux manjaro
sudo pacman-key --refresh-keys
Ensuite, vous devriez pouvoir faire votre mise à jour générale sans problème.
-------------------------------------------------------------------------------------

[Stable] Mise à jour 14/11/2019 - Kernels, Plasma, KDE Apps, KDE Frameworks, Mesa, Nvidia

#2Messageil y a 3 semaines

Et ce matin sous archlinux (kde):

Paquet (219) 
Taille totale installée :    2488,03 MiB
Taille de mise à jour nette :     5,28 MiB
:o Aussi grosse que sous manjaro ! la prochaine manjaro stable va faire mal (aux tuyaux) :gsourire:

---
Avec manjaro (kde), cette mise à jour

Paquet (284)
Taille totale du téléchargement :   872,55 MiB
Taille totale installée :        3594,96 MiB
Taille de mise à jour nette :    -200,65 MiB
tout est ok :gsourire:

[Stable] Mise à jour 14/11/2019 - Kernels, Plasma, KDE Apps, KDE Frameworks, Mesa, Nvidia

#3Messageil y a 3 semaines

hop yo !

mise à jour d'effectué en pamac sans problème, vbox fonctionne bien et le driver nvidia aussi. bref à voir dans le temps mais il semblerait que les gels d'affichage soient moins présents. bref bonheur merci à toute l'équipe !

[Stable] Mise à jour 14/11/2019 - Kernels, Plasma, KDE Apps, KDE Frameworks, Mesa, Nvidia

#4Messageil y a 3 semaines

J'ai un soucis avec le noyau 4.19, je n'ai plus d'interface graphique après démarrage, même avec l'image fallback. J'ai dû me rabattre sur le noyau 4.14 qui fonctionne bien.
En consultant journalctl, je trouve ces messages d'erreur :

nov. 14 17:04:51 msi-x370 systemd-modules-load[356]: Failed to insert module 'nvidia': Invalid argument
nov. 14 17:04:51 msi-x370 systemd-modules-load[356]: Failed to insert module 'nvidia_drm': Invalid argument
nov. 14 17:04:51 msi-x370 systemd[1]: Failed to start Load Kernel Modules.
nov. 14 17:04:52 msi-x370 kernel: nvidia: disagrees about version of symbol wake_up_process
nov. 14 17:04:52 msi-x370 kernel: nvidia: Unknown symbol wake_up_process (err -22)
Que faire pour régénérer une image kernel valide ?
Dernière modification par Titanet le 14 Nov 2019, 19:11, modifié 1 fois.

[Stable] Mise à jour 14/11/2019 - Kernels, Plasma, KDE Apps, KDE Frameworks, Mesa, Nvidia

#5Messageil y a 3 semaines

Salut, :salut:

MAJ sous Deepin de 209 paquets. Redemarrage et test de Firefox et Virtualbox okay. :bien
Cela a pris son temps. N'y-a-t-'il pas moyen d'accélérer tout ça ? :siffle
:aime::aime::gsourire:

[Stable] Mise à jour 14/11/2019 - Kernels, Plasma, KDE Apps, KDE Frameworks, Mesa, Nvidia

#6Messageil y a 3 semaines

:bjr: @Titanet : Si tu es sur le kernel 4.14, il est possible de réinstaller le 4.19 :

sudo mhwd-kernel -i linux419
:wink:
Pour ce qui me concerne, plantage du serveur graphique vers la fin de cette mise à jour puis, gel total et reboot sauvage. pacman réparé et tout roule à nouveau. :merci:

[Stable] Mise à jour 14/11/2019 - Kernels, Plasma, KDE Apps, KDE Frameworks, Mesa, Nvidia

#7Messageil y a 3 semaines

@Titanet

Certains à l'inter annonce aussi un problème avec uniquement le lts : ils sont passés du driver nvidia430 à 440 et tout est rentré dans l'ordre

[Stable] Mise à jour 14/11/2019 - Kernels, Plasma, KDE Apps, KDE Frameworks, Mesa, Nvidia

#8Messageil y a 3 semaines

J'ai ce message après construction du paquet nvidia-full-beta-all 440.31-1 avec yay :

==> Création terminée : nvidia-full-beta-all 440.31-1 (jeu. 14 nov. 2019 21:06:34 CET)
==> Nettoyage…
chargement des paquets…
résolution des dépendances…
recherche des conflits entre paquets…
:: nvidia-utils-full-beta-all et nvidia-430xx-utils sont en conflit (nvidia-utils). Supprimer nvidia-430xx-utils ? [o/N] o
:: lib32-nvidia-utils-full-beta-all et lib32-nvidia-430xx-utils sont en conflit (lib32-nvidia-utils). Supprimer lib32-nvidia-430xx-utils ? [o/N] o
erreur : la préparation de la transaction a échoué (la satisfaction des dépendances a échoué)
:: la suppression de nvidia-430xx-utils casse la dépendance « nvidia-430xx-utils=430.64 » requise par linux414-nvidia-430xx
:: la suppression de nvidia-430xx-utils casse la dépendance « nvidia-430xx-utils=430.64 » requise par linux419-nvidia-430xx
Je fais quoi ?

[Stable] Mise à jour 14/11/2019 - Kernels, Plasma, KDE Apps, KDE Frameworks, Mesa, Nvidia

#9Messageil y a 3 semaines

Titanet a écrit :
il y a 3 semaines
Ok, et que dois-je installer comme paquet ? Dans AUR, il y a plusieurs paquets nvidia beta 440, le full, le settings-full, ... ??
Oublie ces paquets Aur qui risquent de casser ton système :wink: Va au plus simple, ouvre manjaro-setting-manager et installe ton pilote à partir de cette interface graphique.

[Stable] Mise à jour 14/11/2019 - Kernels, Plasma, KDE Apps, KDE Frameworks, Mesa, Nvidia

#10Messageil y a 3 semaines

:o:shock: aur :censure:
Si pas d'interface graphique

mhwd --pci -li
mhwd --pci -l
sudo mhwd -i pci video-nvidia-440xx

[Stable] Mise à jour 14/11/2019 - Kernels, Plasma, KDE Apps, KDE Frameworks, Mesa, Nvidia

#11Messageil y a 3 semaines

Voici la solution pour ceux qui ont une carte graphique nvidia et qui joue dans Steam (avec l'aide des posts sur le forum Manjaro inter https://forum.manjaro.org/t/stable-upda ... /111239/95)

On enlève le driver nvidia 330 :

sudo mhwd -r pci video-nvidia-430xx
On installe le driver nvidia 435 à la place (le driver 440 ne fonctionne pas avec Steam):

sudo mhwd -i pci video-nvidia-435xx
L'utilitaire Manjaro construira les images avec le module nvidia pour chaque kernel installé. Je confirme que le kernel 4.19 LTS fonctionne correctement avec le module nvidia 435 et (Steam aussi).

[Stable] Mise à jour 14/11/2019 - Kernels, Plasma, KDE Apps, KDE Frameworks, Mesa, Nvidia

#12Messageil y a 3 semaines

*** imperatif ***
si vous êtes sur un noyau 4.19 et drivers nvidia
vous devez installer la version 435 ou 440 ,
ne restez pas sur la version 430 !

sudo mhwd -r pci video-nvidia-430xx
puis

sudo mhwd -i pci video-nvidia-435xx
ou

sudo mhwd -i pci video-nvidia-435xx
si vous avez installé dans la matinée , penser à mettre a jour mesa en version 19.2.4 ,
sinon tout opengl est KO

[Stable] Mise à jour 14/11/2019 - Kernels, Plasma, KDE Apps, KDE Frameworks, Mesa, Nvidia

#13Messageil y a 3 semaines

Bonjour,

J'ai fait la mise à jour sans soucis ce matin et tout roule.
Par contre durant la dernière maj qui était juste quelques minutes avant j'ai eu des erreur 404 header not found mais la maj est passer.

Je doit m’inquiéter de ça ?

[Stable] Mise à jour 14/11/2019 - Kernels, Plasma, KDE Apps, KDE Frameworks, Mesa, Nvidia

#14Messageil y a 3 semaines

Mise à jour nickel pour moi aussi 286 paquets.
Merci papajoke :wink:

[Stable] Mise à jour 14/11/2019 - Kernels, Plasma, KDE Apps, KDE Frameworks, Mesa, Nvidia

#15Messageil y a 3 semaines

Bonsoir,

Impossible de faire la MAJ chez moi (sur mac pro 2011), malgré la procédure décrite en début de post.

voici ce que ça donne:

:: Procéder à l’installation ? [O/n] o
(396/396) vérification des clés dans le trousseau          [###############################] 100%
(396/396) vérification de l’intégrité des paquets          [###############################] 100%
erreur : la validation de la transaction a échoué (paquet non valide ou corrompu)
Des erreurs se sont produites, aucun paquet n’a été mis à jour.


Une Idée ???

merci à vous

[Stable] Mise à jour 14/11/2019 - Kernels, Plasma, KDE Apps, KDE Frameworks, Mesa, Nvidia

#16Messageil y a 3 semaines

stephane a écrit :
il y a 3 semaines
*** imperatif ***
si vous êtes sur un noyau 4.19 et drivers nvidia
vous devez installer la version 435 ou 440 ,
ne restez pas sur la version 430 !

sudo mhwd -r pci video-nvidia-430xx

Bonjour,

Avant de mettre à jour, j'ai voulu tenter cette procédure car je suis avec le noyau 4.19, voici le retour de la 1ere commande.

[joffrey@joffrey-bureau ~]$ sudo mhwd -r pci video-nvidia-430xx
[sudo] Mot de passe de joffrey : 
> Removing video-nvidia-430xx...
Sourcing /etc/mhwd-x86_64.conf
Has lib32 support: true
Sourcing /var/lib/mhwd/local/pci/video-nvidia-430xx/MHWDCONFIG
Processing classid: 0300
Sourcing /var/lib/mhwd/scripts/include/0300
Processing classid: 0302
vérification des dépendances…
erreur : la préparation de la transaction a échoué (la satisfaction des dépendances a échoué)
:: la suppression de linux53-nvidia-430xx casse la dépendance « linux53-nvidia-430xx » requise par linux-latest-nvidia-430xx
Error: pacman failed!
Error: script failed!

Je fais comment pour changer de version du coup ?

Merci pour votre aide.

[Stable] Mise à jour 14/11/2019 - Kernels, Plasma, KDE Apps, KDE Frameworks, Mesa, Nvidia

#17Messageil y a 3 semaines

Concernant les pilotes nvidia, je suis sur pc portable, pc mise a jours sans soucis. Il me semble que les dernier pilotes officiels pour ma 540m sont les 390... Sait on combien de temps encore ils seront supporté par manjaro ?

[Stable] Mise à jour 14/11/2019 - Kernels, Plasma, KDE Apps, KDE Frameworks, Mesa, Nvidia

#18Messageil y a 3 semaines

Bonjour a tous !

Nouvelle installation avec la derniére iso 18.1.3 gnome !

Petit probleme depuis cette mise a jour avec pamac 9.1.0-2 .
Quand j'installe un logiciel via son interface,le logiciel passe en orphelin : il n'est pas explicitement installé !
Est ce pareil pour vous ? ou suis je le seul ...

Ps: installation via pacman sans soucis!

Merci

[Stable] Mise à jour 14/11/2019 - Kernels, Plasma, KDE Apps, KDE Frameworks, Mesa, Nvidia

#19Messageil y a 3 semaines


[Stable] Mise à jour 14/11/2019 - Kernels, Plasma, KDE Apps, KDE Frameworks, Mesa, Nvidia

#20Messageil y a 3 semaines

Merci pour l'info !
J'attendrais pour faire la Màj de Madame :Rouleau: .

Répondre